Open state of download panel gets messed up in MediaViewer
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. open https://www.mediawiki.org/wiki/Lightbox_demo#mediaviewer/File:Swallow_flying_drinking.jpg
  2. right click on the image (download panel should open)
  3. press Esc
  4. open the image again
  5. right click again

The download panel will not show up.

Tgr created this task.Jan 10 2015, 12:54 AM
Tgr updated the task description. (Show Details)
Tgr raised the priority of this task from to Needs Triage.
Tgr added a project: Easy.
Tgr added a subscriber: Tgr.

Change 184520 had a related patch set uploaded (by M4tx):
Fix download panel not showing on rclick after pressing esc

https://gerrit.wikimedia.org/r/184520

Patch-For-Review

Change 184520 merged by jenkins-bot:
Fix download panel not showing on rclick after pressing esc

https://gerrit.wikimedia.org/r/184520

Tgr added a comment.Jan 13 2015, 12:46 AM

Needs backport to wmf/1.25wmf14.

Tgr set Security to None.
Tgr added a subscriber: m4tx.Jan 13 2015, 1:00 AM

@m4tx: do you want to do the backport? Not part of the GCI task (so don't hesitate to say no if you are not interested :) just in case you want to see how that works. Documentation is here, here and here. Ideally should be done by the end of Tuesday.

m4tx added a comment.Jan 13 2015, 1:05 AM

@Tgr sure, why not! Although, what timezone do you mean by "Tuesday"? Cause I will be able to do it probably after 4pm UTC. :P

Tgr added a comment.Jan 13 2015, 1:20 AM

See the deployment schedule - it should fit into one of the SWAT deployments before the MediaWiki train (update of code on the big production sites) on Wednesday. So it's more like before the end of Wednesday, I guess.

Change 184630 had a related patch set uploaded (by M4tx):
Fix download panel not showing on rclick after pressing esc

https://gerrit.wikimedia.org/r/184630

Patch-For-Review

Change 184630 merged by jenkins-bot:
Fix download panel not showing on rclick after pressing esc

https://gerrit.wikimedia.org/r/184630

Tgr added a comment.Jan 14 2015, 8:57 AM
In T86389#975311, @m4tx wrote:

Someone should +2, probably: https://gerrit.wikimedia.org/r/#/c/184633/

It should be merged and deployed at the same time so that the mediawiki/core deploy branch and the actual content of the servers is kept in sync. You can put it into one of the SWAT slots to get it deployed. SWAT_deploys has the details, but basically just put the gerrit link in the Deployments table for the Wednesday morning SWAT slot, and make sure you are on the #wikimedia-operations IRC channel (or ask someone from the Multimedia team to be there if the timing is bad).

Tgr closed this task as Resolved.Jan 14 2015, 8:07 PM
Tgr claimed this task.

Thanks for handling this, m4tx!